############################################################## 
## MOD Title: make VST SDK 3 compilable with Visual C++ 6
## MOD Version: 	1.0.0
## MOD Author: 		Hermann Seib < office@hermannseib.com > 
##				http://www.hermannseib.com/english/
##
## MOD Description:
##			This modification will allow the compilation of the again
##			and vstvalidator sample programs in the VST SDK 3 Revision 0
##			(2008/01/17) with Visual Studio 6, with or without the
##			Platform SDK installed.
## 
## Installation Level: 	Easy
## Installation Time: 	10 Minutes 
##
## Files To Edit: 	11
##			pluginterfaces\base\ftypes.h
##			public.sdk\samples\vst\again\resource\again.rc
##			public.sdk\source\common\timer.h
##			public.sdk\source\common\timer.cpp
##			public.sdk\source\vst\vstcomponentbase.cpp
##			public.sdk\source\vst\vsteditcontroller.h
##			public.sdk\source\vst\testsuite\vsttestsuite.cpp
##			vstgui.sf\vstgui\cvstguitimer.h
##			vstgui.sf\vstgui\cvstguitimer.cpp
##			vstgui.sf\vstgui\vstgui.h
##			vstgui.sf\vstgui\vstgui.cpp
##
## Included Files: 	
##
##			public.sdk\samples\vst\again\win\again.dsp
##			public.sdk\samples\vst\validator\win\vstvalidator.dsp
##			public.sdk\samples\vst\win\vst3samples.dsw
##
############################################################## 
## MOD History: 
## 
##	2008-01-25 -  Version 1.0.0
##				  First release
##
############################################################## 
## Before applying this to the VST SDK, be sure to have a backup!
############################################################## 

# 
#-----[ OPEN ]------------------------------------------ 
# 

pluginterfaces\base\ftypes.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	#if _MSC_VER

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
	#if defined(_MSC_VER) && (_MSC_VER > 1200)

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\samples\vst\again\resource\again.rc

# 
#-----[ FIND ]------------------------------------------ 
# 
slider_handle.bmp		DATA  "slider_handle.bmp"

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
# 
#ifdef NOGDIPLUS
slider_handle.bmp		BITMAP  "slider_handle.bmp"
slider_background.bmp	BITMAP  "slider_background.bmp"
vu_on.bmp				BITMAP  "vu_on.bmp"
vu_off.bmp				BITMAP  "vu_off.bmp"
#else

# 
#-----[ FIND ]------------------------------------------ 
# 
vu_off.bmp				DATA  "vu_off.bmp"

# 
#-----[ AFTER, ADD ]------------------------------------------ 
# 
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\source\common\timer.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
#else
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\source\common\timer.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
VOID CALLBACK Timer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
VOID CALLBACK Timer::TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime)
#else
VOID CALLBACK Timer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\source\vst\vstcomponentbase.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
	QUERY_INTERFACE (iid, obj, FUnknown::iid, IPluginBase)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
	QUERY_INTERFACE (iid, obj, Steinberg::FUnknown::iid, IPluginBase)

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\source\vst\vsteditcontroller.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	void removeAll () { return params.removeAll (); }

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
	void removeAll () { params.removeAll (); }

# 
#-----[ OPEN ]------------------------------------------ 
# 

public.sdk\source\vst\testsuite\vsttestsuite.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
					// get all bus descriptions and save them in an array

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
# 
					int32 busIndex;

# 
#-----[ FIND ]------------------------------------------ 
# 
					for (int32 busIndex = 0; busIndex < numBusses; busIndex++)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
					for (busIndex = 0; busIndex < numBusses; busIndex++)

# 
#-----[ FIND ]------------------------------------------ 
# 
					for (int32 busIndex = 0; busIndex <= numBusses * NUM_ITERATIONS; busIndex++)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
					for (busIndex = 0; busIndex <= numBusses * NUM_ITERATIONS; busIndex++)

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\cvstguitimer.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
#else
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\cvstguitimer.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime)
#else
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\vstgui.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	#include <windows.h>

# 
#-----[ AFTER, ADD ]------------------------------------------ 
# 

/*****************************************************************************/
/* Adaptions for Visual Studio 6 without Platform SDK                        */
/*****************************************************************************/
	#ifndef GWLP_WNDPROC
		#define GWLP_WNDPROC GWL_WNDPROC
		#define GWLP_USERDATA GWL_USERDATA
		#define AC_SRC_ALPHA 0x01
		#define IDC_HAND  MAKEINTRESOURCE(32649)
		#define GetWindowLongPtr GetWindowLong
		#define SetWindowLongPtr SetWindowLong
		#if(_WIN32_WINNT >= 0x0500)
			#define WS_EX_COMPOSITED        0x02000000L
			#define WS_EX_NOACTIVATE        0x08000000L
			#define WM_XBUTTONDOWN          0x020B
			#define WM_XBUTTONUP            0x020C
			#define WM_XBUTTONDBLCLK        0x020D
			#define MK_XBUTTON1             0x0020
			#define MK_XBUTTON2             0x0040
		#endif /* _WIN32_WINNT >= 0x0500 */
		#ifdef GDIPLUS
			#undef GDIPLUS
		#endif
		#define GDIPLUS 0
		typedef long LONG_PTR, *PLONG_PTR;
	#endif
	#include <string.h>

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\vstgui.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
#define USE_ALPHA_BLEND			MAC || USE_LIBPNG || GDIPLUS

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#if !defined(USE_ALPHA_BLEND)
	#define USE_ALPHA_BLEND			MAC || USE_LIBPNG || GDIPLUS
#endif

# 
#-----[ FIND ]------------------------------------------ 
# 
	return CFrame::drawRect (pContext, size);

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
	CFrame::drawRect (pContext, size);

# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM
